<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>TNO IDS - SCSN Buyer Example</title>
  <link rel="icon" type="image/png" sizes="32x32" href="images/favicon-32x32.png">
  <link rel="icon" type="image/png" sizes="16x16" href="images/favicon-16x16.png">
  <link rel="shortcut icon" href="images/favicon.ico">

  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bulma/0.7.4/css/bulma.min.css"
    integrity="sha256-8B1OaG0zT7uYA572S2xOxWACq9NXYPQ+U5kHPV1bJN4=" crossorigin="anonymous" />
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.8.2/css/all.min.css"
    integrity="sha256-BtbhCIbtfeVWGsqxk1vOHEYXS6qcvQvLMZqjtpWUEx8=" crossorigin="anonymous" />

  <script src="https://cdnjs.cloudflare.com/ajax/libs/axios/0.18.0/axios.min.js"
    integrity="sha256-mpnrJ5DpEZZkwkE1ZgkEQQJW/46CSEh/STrZKOB/qoM=" crossorigin="anonymous"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.24.0/moment.min.js"
    integrity="sha256-4iQZ6BVL4qNKlQ27TExEhBN1HFPvAvAMbFavKKosSWQ=" crossorigin="anonymous"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/vue/2.6.10/vue.min.js"
    integrity="sha256-chlNFSVx3TdcQ2Xlw7SvnbLAavAQLO0Y/LBiWX04viY=" crossorigin="anonymous"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/highlight.js/9.15.6/highlight.min.js"
    integrity="sha256-aYTdUrn6Ow1DDgh5JTc3aDGnnju48y/1c8s1dgkYPQ8=" crossorigin="anonymous"></script>
  <link rel="stylesheet" href="assets/main.css">
  <script src="assets/main.js"></script>
</head>

<body>
  <div id="pageloader">
    <span class="title">Loading dashboard</span>
  </div>
  <section class="hero is-primary is-bold">
    <div class="hero-body">
      <div class="container">
        <img src="scsn_logo.png"
          style="position: absolute;height: 7rem;left: 0;top: -2.5rem;background: rgba(255,255,255, 0.75);padding: 10px;">
        <h1 class="title" style="margin-left: 14rem;">SCSN Buyer Example</h1>
      </div>
    </div>
  </section>
  <section class="section" id="orders">
    <div class="container">
      <h2 class="title is-4">Orders</h2>
      <table class="table is-bordered is-narrow is-striped is-fullwidth is-hoverable">
        <thead>
          <tr>
            <th>Order ID</th>
            <th>Seller</th>
            <th>SCSN ID</th>
            <th>IDS ID</th>
            <th>API</th>
            <th>Product</th>
            <th>Quantity</th>
            <th>Delivery date</th>
            <th>Status</th>
          </tr>
        </thead>
        <tbody>
          <tr v-for="order in orders">
            <td>{{ order.id }}</td>
            <td>{{ order.seller.name }}</td>
            <td>{{ order.seller.scsnid }}</td>
            <td>{{ order.seller.idsid }}</td>
            <td>{{ order.version }}</td>
            <td>{{ order.product }}</td>
            <td>{{ order.quantity }}</td>
            <td><span v-if="order.promisedDeliveryDate"
                class="has-text-weight-bold">{{ order.promisedDeliveryDate | formatDate }} -
              </span>{{ order.requestedDeliveryDate | formatDate }} </td>
            <td>
              <code>{{ order.status }}</code>
              <div class="tags has-addons" v-for="status in order.statusList">
                <span class="tag is-dark">{{ status.statusCode }}</span>
                <span class="tag is-info">{{ status.value }}</span>
              </div>
            </td>
          </tr>
        </tbody>
      </table>
    </div>
  </section>
  <section class="section" id="newOrder">
    <div class="container" id="search">
      <h2 class="title is-4">Find seller</h2>
      <form id="searchForm" @submit="searchForm">
        <fieldset>
          <div class="field is-horizontal">
            <div class="field-body">
              <div class="field">
                <p class="control is-expanded has-icons-left">
                  <input class="input" type="text" v-model="search.scsnId" placeholder="SCSN ID" name="scsnId"
                    id="scsnId"
                    :disabled="(search.name !== null && search.name.trim() != '') || (search.kvk !== null && search.kvk.trim() != '') || (search.tin !== null && search.tin.trim() != '')">
                  <span class="icon is-small is-left"><i class="fa fa-search"></i></span>
                </p>
              </div>
              <div class="field">
                <p class="control is-expanded has-icons-left">
                  <input class="input" type="text" v-model="search.name" placeholder="Name" name="name" id="name"
                    :disabled="search.scsnId !== null && search.scsnId.trim() != ''">
                  <span class="icon is-small is-left"><i class="fa fa-search"></i></span>
                </p>
              </div>
              <div class="field">
                <p class="control is-expanded has-icons-left">
                  <input class="input" type="text" v-model="search.kvk" placeholder="KVK" name="kvk" id="kvk"
                    :disabled="search.scsnId !== null && search.scsnId.trim() != ''">
                  <span class="icon is-small is-left"><i class="fa fa-search"></i></span>
                </p>
              </div>
              <div class="field">
                <p class="control is-expanded has-icons-left">
                  <input class="input" type="text" v-model="search.tin" placeholder="TIN" name="tin" id="tin"
                    :disabled="search.scsnId !== null && search.scsnId.trim() != ''">
                  <span class="icon is-small is-left"><i class="fa fa-search"></i></span>
                </p>
              </div>
              <div class="field">
                <p class="control is-expanded has-icons-left">
                  <label class="label" for="submit"></label>
                  <div class="control">
                    <button id="submit" name="submit" class="button is-primary" :disabled="search.busy">Search</button>
                  </div>
                </p>
              </div>
            </div>
          </div>
        </fieldset>
      </form>
      <table style="margin: 1em 0" class="table is-bordered is-narrow is-striped is-fullwidth is-hoverable">
        <thead>
          <tr>
            <th>Name</th>
            <th>SCSN ID</th>
            <th>IDS ID</th>
            <th>Title</th>
            <th>Messages</th>
            <th>Version</th>
            <th>Access URL</th>
          </tr>
        </thead>
        <tbody>
          <template v-for="seller in search.sellers">
            <tr v-for="connector in seller.connector" style="cursor: pointer"
              v-on:click="()=>{place.seller = seller; place.connector = connector; modalActive = true}">
              <td>{{ seller['cac:PartyName']['cbc:Name'] }}</td>
              <td>{{ seller['cac:PartyIdentification']['cbc:ID'] }}</td>
              <td>{{ connector.idsId }}</td>
              <td>{{ connector.title }}</td>
              <td>{{ connector.supportedmessages | formatMessageTypes }}</td>
              <td>{{ connector.version }}</td>
              <td>{{ connector.accessUrl }}</td>
            </tr>
          </template>
        </tbody>
      </table>
    </div>
    <div class="modal" v-bind:class="{'is-active': modalActive}">
      <div class="modal-background" v-on:click="modalActive = false"></div>
      <div class="modal-card" style="width: 80%">
        <header class="modal-card-head">
          <p class="modal-card-title">Place new order</p>
          <button class="delete" aria-label="close" v-on:click="modalActive = false"></button>
        </header>
        <section class="modal-card-body has-text-left">
          <div class="columns">
            <div class="column is-one-third">

              <form id="orderForm" @submit="sendForm">
                <fieldset>
                  <!-- Textarea -->
                  <div class="field">
                    <label class="label" for="deliveryDate">Requested delivery date</label>
                    <div class="control">
                      <input id="deliveryDate" v-model="place.deliveryDate" name="deliveryDate" type="date" class="input">
                    </div>
                  </div>
    
                  <!-- Textarea -->
                  <div class="field">
                    <label class="label" for="quantity">Quantity</label>
                    <div class="control">
                      <input id="quantity" name="quantity" v-model="place.quantity" type="number" step="1000" class="input">
                    </div>
                  </div>
    
                  <div class="field">
                    <label class="label" for="product">Product</label>
                    <div class="control">
                      <div class="select">
                        <select v-model="place.product">
                          <option :value="'aluminium'">Aluminium</option>
                          <option :value="'steel'">Steel</option>
                        </select>
                      </div>
                    </div>
                  </div>
                </fieldset>
              </form>
            </div>
            <div class="column">
              <table v-if="place.seller && place.connector" class="table is-fullwidth is-fullwidth is-hoverable">
                <tbody>
                  <tr>
                    <th>Name</th>
                    <td><span v-if="place.seller['cac:PartyName']">{{ place.seller["cac:PartyName"]["cbc:Name"] }}</span></td>
                  </tr>
                  <tr>
                    <th>SCSN ID</th>
                    <td><span v-if="place.seller['cac:PartyIdentification']">{{ place.seller["cac:PartyIdentification"]["cbc:ID"] }}</span></td>
                  </tr>
                  <tr>
                    <th>Party Tax Scheme</th>
                    <td><span v-if="place.seller['cac:PartyTaxScheme']">{{ place.seller["cac:PartyTaxScheme"]["cbc:CompanyID"] }}</span></td>
                  </tr>
                  <tr>
                    <th>Party Legal Entity</th>
                    <td><span v-if="place.seller['cac:PartyLegalEntity']">{{ place.seller["cac:PartyLegalEntity"]["cbc:CompanyID"] }}</span></td>
                  </tr>
                  <tr>
                    <th>Connector ID</th>
                    <td>{{ place.connector.idsId }}</td>
                  </tr>
                  <tr>
                    <th>Connector Title</th>
                    <td>{{ place.connector.title }}</td>
                  </tr>
                  <tr>
                    <th>Supported Messages</th>
                    <td>{{ place.connector.supportedmessages | formatMessageTypes }}</td>
                  </tr>
                  <tr>
                    <th>Version</th>
                    <td>{{ place.connector.version }}</td>
                  </tr>
                  <tr>
                    <th>Access URL</th>
                    <td>{{ place.connector.accessUrl }}</td>
                  </tr>
                </tbody>
              </table>
            </div>
          </div>

        </section>
        <footer class="modal-card-foot">
          <button class="button" v-on:click="modalActive = false">Close</button>
          <button id="submit" v-on:click="sendForm" name="submit" class="button is-primary" :disabled="place.busy">Send</button>
        </footer>
      </div>
    </div>
  </section>
</body>

</html>